hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "iain wright (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-9046) Some regions keep using an older version of coprocessor
Date Fri, 26 Jul 2013 18:55:47 GMT
iain wright created HBASE-9046:
----------------------------------

             Summary: Some regions keep using an older version of coprocessor
                 Key: HBASE-9046
                 URL: https://issues.apache.org/jira/browse/HBASE-9046
             Project: HBase
          Issue Type: Bug
          Components: Coprocessors
    Affects Versions: 0.94.8
         Environment: FreeBSD 8.2-RELEASE FreeBSD 8.2-RELEASE #0 r220198: Thu Mar 31 21:46:45
PDT 2011 amd64

java version "1.6.0_07"
Diablo Java(TM) SE Runtime Environment (build 1.6.0_07-b02)
Diablo Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode)

hbase: 0.94.8, r1485407
hadoop: 1.0.4, r1393290
            Reporter: iain wright
            Priority: Minor


My team and another user from the mailing list have run into an issue where replacing the
coprocessor jar in HDFS and reloading the table does not load the latest jar. It may load
the latest version on some percentage of RS but not all of them.

This may be a config oversight or a lack of understanding of a caching mechanism that has
a purge capability, but I thought I would log it here for confirmation.

Workaround is to name the coprocessor JAR uniquely, place in HDFS, and re-load the table using
the new jar's name.



--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message